<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<html>
	<head>
		<title>Forget Password</title>
		<link href="../css/style.css" rel="stylesheet" type="text/css"/>
	</head>
	<body>
		<f:view>
		<center>
			<h:panelGrid width="380px" columns="2" border="0">
				<rich:panel header="Send password by mail" style="background-color: #ebf3fd;">
					<h:form id="sendPasswordByMail">
						<h:panelGrid id="lpg" columns="2" >
																	
							<h:outputText  value="Enter e-mail Id"/>
							<h:inputText id="email" value="#{RetrievePassword.email}" styleClass="inputbox"/>
							<h:outputText value=""/>
							<h:message for="email" styleClass="errors"/>

							<h:outputText value="" rendered="#{RetrievePassword.isRendered}"/>
							<h:outputText value="This e-mail id is not registered with us." styleClass="errors" rendered="#{RetrievePassword.isRendered}"/>
							<h:outputText value="" rendered="#{RetrievePassword.isRendered}"/>
							<h:outputText value="Please Try Again " styleClass="errors" rendered="#{RetrievePassword.isRendered}"/>

							<h:outputText value=""/>
							<h:commandButton value="Send Password"  action="#{RetrievePassword.check}" styleClass="submitButton"/>
						
						</h:panelGrid>
					</h:form>
				</rich:panel>
			</h:panelGrid>
		</center>
		</f:view>
	</body>
</html>