<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<html>
<f:view>
	<head>
		<title>User Registration/Information</title>
		<style type="text/css">
		.errors
		{
			color:red;
			font-size:12px;
		}
		</style>
			<link href="../css/style.css" rel="stylesheet" type="text/css"/>
	</head>
	<body>


		<center>
		<h:form id="UserForm">
		<h:panelGrid width="580px" columns="2" border="0">
			<rich:panel header="User Information" style="background-color: #ebf3fd;">
				
				<h:inputHidden value="#{userForm.id}" id="id"/>
				<h:inputHidden id="hiddenUserName" value="#{userForm.userName}"/>
															
		        <h:outputText value="*" style="color:#ff0000;"/>are Mandatory.	 

				<h:panelGrid id="upg" columns="2" border="0" cellspacing="0" cellpadding="0">
			 
					<h:panelGroup> 
						<h:outputText value="First Name" />					
						<h:outputText  value="*" style="color:#ff0000;"/>					
					</h:panelGroup>
					<h:panelGroup>
						<h:inputText id="firstName"  value="#{userForm.firstName}" styleClass="inputbox"/>
						<h:message for="firstName" styleClass="errors"/>
					</h:panelGroup>
					<h:outputText value=""/><h:outputText value=""/>

					<h:panelGroup> 
						<h:outputText value="Last Name" />					
						<h:outputText  value="*" style="color:#ff0000;"/>					
					</h:panelGroup>
					<h:panelGroup>
						<h:inputText id="lastName"  value="#{userForm.lastName}" styleClass="inputbox"/>
						<h:message for="lastName" styleClass="errors"/>
					</h:panelGroup>
					<h:outputText value=""/><h:outputText value=""/>

					<h:panelGroup>
						<h:outputText value="User Name"/> 
						<h:outputText  value="*" style="color:#ff0000"/> 
					</h:panelGroup>
					<h:panelGroup>
						<h:inputText id="userName" size="50" disabled="#{userForm.isUserNameDisabled}" value="#{userForm.userName}" styleClass="inputbox"/>
						<h:message for="userName" styleClass="errors"/>
                    </h:panelGroup>
					<h:outputText value=""/><h:outputText value=""/>

					<h:panelGroup id="pwd">
						<h:outputText value="Password"  /> 
						<h:outputText  value="*" style="color:#ff0000"/> 
					</h:panelGroup>
					<h:panelGroup>
						<h:inputSecret id="password" value="#{userForm.password}" redisplay="true" styleClass="inputbox"/>
						<h:message for="password" styleClass="errors"/>
					</h:panelGroup>
					<h:outputText value=""/><h:outputText value=""/>

					<h:panelGroup>
						<h:outputText value="Confirm Password"  /> 
						<h:outputText  value="*" style="color:#ff0000"/> 
					</h:panelGroup>
					<h:panelGroup>
						<h:inputSecret id="confirmPassword" value="#{userForm.confirmPassword}" redisplay="true" styleClass="inputbox"/>
						<h:message for="confirmPassword" styleClass="errors"/>
					</h:panelGroup>
					<h:outputText value=""/><h:outputText value=""/>
   
					<h:panelGroup>
						<h:outputText value="E-Mail"/> 
						<h:outputText  value="*" style="color:#ff0000"/> 
					</h:panelGroup>
					<h:panelGroup>
						<h:inputText id="email" size="50" value="#{userForm.email}" styleClass="inputbox"/>
						<h:message for="email" styleClass="errors"/>
					</h:panelGroup>
					<h:outputText value=""/><h:outputText value=""/>
					
					<h:panelGroup style="text-valign:top;display:block;height:100%;">
						<h:outputText value="Address" /> 
						<h:outputText  value="*" style="color:#ff0000"/> 
					</h:panelGroup>
					<h:panelGroup>
					<h:inputTextarea id="address" rows="8" cols="100"  value="#{userForm.address}" styleClass="inputbox"></h:inputTextarea>
					<h:message for="address" styleClass="errors"/>
					</h:panelGroup>
					<h:outputText value=""/><h:outputText value=""/>
					
					<h:panelGroup>
						<h:outputText value="Country" />
						<h:outputText  value="*" style="color:#ff0000;"/>
					</h:panelGroup>
					<h:panelGroup>
						<h:inputText id="country" size="50" value="#{userForm.select}" styleClass="inputbox"/>
						<h:message for="country" styleClass="errors"/>						
					</h:panelGroup>
					<h:outputText value=""/><h:outputText value=""/>

					<h:panelGroup>
						<h:outputText value="State" />
						<h:outputText  value="*" style="color:#ff0000;"/>
					</h:panelGroup>  
					<h:panelGroup>
						<h:inputText id="state" size="50" value="#{userForm.state}" styleClass="inputbox"/>
						<h:message for="state" styleClass="errors"/>						
					</h:panelGroup>
					<h:outputText value=""/><h:outputText value=""/>

					<h:panelGroup> 
						<h:outputText value="Contact Number" />
						<h:outputText  value="*" style="color:#ff0000"/> 
					</h:panelGroup> 
					 <h:panelGroup> 
						<h:inputText id="contactNumber" size="50" value="#{userForm.contactNumber}" styleClass="inputbox"/>
						<h:message for="contactNumber" styleClass="errors"/>
					</h:panelGroup>
					<h:outputText value=""/><rich:spacer height="15"/>


                   <h:panelGroup> 
				   <h:outputText value="" />
				    </h:panelGroup> 
                   <h:panelGroup> 
							<h:commandButton value="#{userForm.buttonName}" action="#{userForm.saveUser}" styleClass="submitButton"/>
					</h:panelGroup>
					<h:outputText value=""/><h:outputText value=""/>
					
                   
				
				</h:panelGrid>
			</rich:panel>
			</h:panelGrid>
		</h:form>	
		</f:view>
		</center>
	</body>
	
</html>
