import java.io.*;
import java.sql.*;
import java.util.*;
import java.util.regex.*;

import util.MessageFactory;

import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.faces.context.*;

import javax.faces.*;
import javax.faces.validator.*;
import javax.faces.application.*;
import javax.faces.component.*;

import javax.mail.Message;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.URLName;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import com.sun.mail.smtp.SMTPTransport;

public class RetrievePassword  {
	private String email;
	private boolean isRendered;
	
	private Session session;
	private Transport transport;
	private Message message;

	public String getEmail() {
		return email;
	}	
	public void setEmail(String email) {
		this.email = email;
	}
	public boolean getIsRendered() {
		return isRendered;
	}	
	public void setIsRendered(boolean isRendered) {
		this.isRendered = isRendered;
	}

	String url = "jdbc:mysql://localhost:3306/";
    String db = "application";
    String driver = "com.mysql.jdbc.Driver";
    String user = "root";
    String pass = "root";
	Connection con = null;
    ResultSet res;
	
	public String check() throws Exception{
		String returnString = "";
		if (validateData()) {
			try{
				Class.forName(driver);
				
				con = DriverManager.getConnection(url+db, user, pass);
				Statement st = con.createStatement();
				String query="SELECT password FROM  register where email='"+  getEmail() + "'";
				res = st.executeQuery(query);
				if(res.next()){
					sendMail(res.getString("password"),getEmail());
					returnString = "passwordsendingsuccess";
				}
				else{
					setIsRendered(true);
					returnString = "passwordsendingfail";
				}
			}
			catch (SQLException s){
				System.out.println("s");
			}
		}
		else{
			setIsRendered(false);
			returnString = "passwordsendingfail";
		}
		return returnString;
	}

	public boolean validateData() {
		boolean status = true;
		MessageFactory mf = new MessageFactory();
		FacesContext ctx = FacesContext.getCurrentInstance();

		Pattern p2 = Pattern.compile(".+@.+\\.[a-z]+");
		Matcher m2 = p2.matcher(email);
		boolean matchFound2 = m2.matches();

		if (email.length()==0) {
			ctx.addMessage("sendPasswordByMail:email",new FacesMessage(FacesMessage.SEVERITY_ERROR, mf.getMessage("errorEmailMsg"), null));
			status = false;
		}
		if (!matchFound2) {
			ctx.addMessage("sendPasswordByMail:email",new FacesMessage(FacesMessage.SEVERITY_ERROR, mf.getMessage("errorEmail"), null));
			status = false;
		}
		
		return status;
	}

	public void setMessage(String fromAddress,String toAddress,String subject,String content) throws Exception {
		String[] addresses = {toAddress};
		setMessage(fromAddress,addresses,subject,content);
	}

	public void sendMail(String sendPassword, String email) throws Exception {
	
		String from = "admin@roseindia.net ";
		String to[] = new String[]{email};
		String subject = "Account Password";

		String content = "Your password is : \""+ sendPassword+"\"";

		setMessage(from,to,subject,content);
		setSMTPServer("192.168.10.204",25,null,null);

		send();
	}

	public void setMessage(String fromAddress,String[] toAddresses,String subject,String content) throws Exception {
		session = Session.getInstance(System.getProperties());
		message = new MimeMessage(session);
		
		message.setFrom(new InternetAddress(fromAddress));
		InternetAddress[] toIntAdds = new InternetAddress[toAddresses.length];

		for (int i=0;i<toAddresses.length;i++)
		toIntAdds[i] = new InternetAddress(toAddresses[i]);

		message.setRecipients(Message.RecipientType.TO,toIntAdds);
		message.setSubject(subject);
		message.setSentDate(new java.util.Date());
		message.setText(content);
	}

	public void setSMTPServer(String host,int port,String user,String password) throws Exception{
		transport = new SMTPTransport(session,new URLName(host));
		transport.connect(host,port,null,null);
	}

	public void send() throws Exception{
		message.saveChanges();
		transport.sendMessage(message, message.getAllRecipients());
		System.out.println("Message is sent.");
		transport.close();
	}
}