<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<html>	
	<head>
		<title>Change Password</title>
		<link href="../css/style.css" rel="stylesheet" type="text/css"/>
	</head>
	<body>
	<f:view>
	<center>
		<h:form id="changePwdForm">
		<h:panelGrid width="400px" columns="2" border="0">
			<rich:panel header="Change Password" style="background-color: #ebf3fd;">
				<h:outputText value="#{userForm.text}" styleClass="textgreen"/>
				<h:panelGrid id="lpg" columns="2" >

					<h:outputText value="Old Password" />
					<h:inputSecret id="oldpwd" redisplay="true" size="50" value="#{userForm.oldPwd}" styleClass="inputbox"/>

					<h:outputText value="New Password"/>
					<h:inputSecret id="newPwd" redisplay="true" size="50" value="#{userForm.newPwd}" styleClass="inputbox"/>
					<h:outputText value=""/>
					<h:message for="newPwd" styleClass="errors"/>

					<h:outputText value="Confirm Password"/> 
					<h:inputSecret id="newPwdConfirm" redisplay="true" size="50" value="#{userForm.newPwdConfirm}" styleClass="inputbox"/>
					<h:outputText value=""/>
					<h:message for="newPwdConfirm" styleClass="errors"/>

					<h:outputText value=""/>
					<h:commandButton value="Change Password" action="#{userForm.changePassword}" styleClass="submitButton"/>
				</h:panelGrid>
			</rich:panel>

			</h:panelGrid>
		</h:form>		
	</f:view>
	</body>
</html>