<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<html>
	<head>
		<title>Login Page</title> 
		<link href="../css/style.css" rel="stylesheet" type="text/css"/>
	</head>
	<body>
		<f:view>
		<center>
		<h:panelGrid width="380px" columns="2" border="0">
			<rich:panel header="Login" style="background-color: #ebf3fd;">
				<h:form id="LoginForm">
					<h:outputText value="#{LoginForm.text}" />
					<h:panelGrid id="lpg" columns="2" >
						<h:outputText value="User Id"/> 
						<h:inputText id="username" value="#{LoginForm.userName}" styleClass="inputbox"/>
						<h:outputText value=""/>
						<h:message for="username" styleClass="errors"/>
					

						<h:outputText value="Password"/> 
						<h:inputSecret id="password" value="#{LoginForm.password}" styleClass="inputbox"/>
						<h:outputText value=""/>
						<h:message for="password" styleClass="errors"/>
					

						<h:outputText value=""/>
						<h:commandButton value="Login" action="#{LoginForm.validUser}" styleClass="submitButton"/>
					</h:panelGrid>
				</h:form>

				<h:form>
					<h:panelGrid id="bottompg" columns="1" >
						<h:outputText value="New User?" style="font-family:arial, verdana;font-size:10px;"/>
						<h:commandLink value="Register Here" action="useraccount" style="font-family:arial, verdana;font-size:12px;"/>
						<h:outputText value=""/>
						<h:commandLink value="Forgot Password?" action="forgotpassword" style="font-family:arial, verdana;font-size:12px;"/>
					</h:panelGrid>
				</h:form>

			</rich:panel>
		</h:panelGrid>
		</center>
	</f:view>	
	</body>
</html>