<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<html>
	<head>
		<title>Login Successful</title>
		<link href="../css/style.css" rel="stylesheet" type="text/css"/>
	</head>
	<body>	
		<f:view>		
			<center>
				<h:panelGrid width="380px" columns="2" border="0">
					<rich:panel header="Login Successful" style="background-color: #ebf3fd;">
						<center>
							<h:outputText value="Welcome " style="font-size:15px;font-weight:bold"/>
							<h:outputText value="#{sessionScope.username}" style="font-size:15px;font-weight:bold"/>
						</center>					

						<h:form>
							<rich:spacer height="30"/><br>
							
							<h:commandLink value="Edit User Profile" action="#{userForm.editProfile}" style="font-family:arial, verdana;font-size:12px;"/><br><br>

							<h:commandLink value="Change Password" action="changePassword" style="font-family:arial, verdana;font-size:12px;"/><br><br>

							<rich:spacer height="10"/>
							<h:commandLink value="Logout" action="#{LoginForm.logout}" style="font-family:arial, verdana;font-size:12px;"/>
						</h:form>
					</rich:panel>
				</h:panelGrid>
			</center>
		</f:view>
	</body>
</html>